Subject: bug#23085: 24.5; `customized-changed-options`

From: Eli Zaretskii <[email-masked]>
Date: Mon, 08 Feb 2021 17:15:05 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Mon, 08 Feb 2021 07:10:03 +0100
> 
> "Basil L. Contovounesios" <[email-masked]> writes:
> 
> > I agree, but mostly just wanted to say that if customize-changed-options
> > is renamed, then its occurrences in code, docstrings, and the manual
> > should be updated, and the rename should probably be called out in NEWS.
> 
> Definitely; I plumb forgot.  (But Eli seems to think the change should
> be reverted

No, ignore me on that one: I thought the change was in the opposite
direction.

> -----
> @item M-x customize-changed @key{RET} @var{version} @key{RET}
> Set up a customization buffer with all the settings and groups
> whose meaning has changed since Emacs version @var{version}.
> 
> @item M-x customize-changed-options @key{RET} @var{version} @key{RET}
> Set up a customization buffer with all the options whose meaning or
> default values have changed since Emacs version @var{version}.
> -----
> 
> Which is wrong in any case, since they are aliases of each other.

Right.